Bug 1411871 - Submodule ga_impls is not installed and it breaks running subscription-manager-gui
Summary: Submodule ga_impls is not installed and it breaks running subscription-manage...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 16:28 UTC by Jiri Hnidek
Modified: 2017-01-17 08:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 15:41:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jiri Hnidek 2017-01-10 16:28:55 UTC
Description of problem:
during installation process (python setup.py install) submodule ga_impls is not installed. Running subscription-manager-gui is ended with errors:

Version-Release number of selected component (if applicable):

The master branch at GitHub (commit id: af7baf2063785a0bfcb72491ee2c286130430db2)

How reproducible:

Steps to Reproduce:
1. git clone https://github.com/candlepin/subscription-manager.git
2. cd subscription-manager
3. python setup.py build
3. sudo python setup.py install
4. sudo subscription-manager-gui

Actual results:

Running subscription-manager-gui is ended with following error:

Traceback (most recent call last):
  File "/usr/sbin/subscription-manager-gui", line 115, in <module>
    from subscription_manager.ga import gtk_compat
  File "/usr/lib/python2.7/site-packages/subscription_manager/ga_loader.py", line 116, in load_module
    return self._import_real_module(fullname, real_module_name, real_module_from)
  File "/usr/lib/python2.7/site-packages/subscription_manager/ga_loader.py", line 119, in _import_real_module
    ret = __import__(module_name, globals(), locals(), [module_from])
ImportError: No module named ga_impls


Expected results:

No errors at console :-)

Additional info:

When ga_impls is copied to desired place:

sudo cp -R src/subscription_manager/ga_impls /usr/lib/python2.7/site-packages/subscription_manager/

, then subscription-manager-gui works as expected.

Comment 2 vritant 2017-01-12 15:41:19 UTC
Jiri,
could you try 'make install' please? if that does not work, please re-open this bug.

Comment 3 Jiri Hnidek 2017-01-17 08:32:00 UTC
Hi,
It seems that 'make install' copy ga_impls at right place.


Note You need to log in before you can comment on or make changes to this bug.